IRMC-web/src/main/java/tn/esprit/IRMC/presentation/mbeans/CondidatureBean.java
package tn.esprit.IRMC.presentation.mbeans;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.Scanner;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.servlet.http.Part;
import javax.validation.constraints.NotNull;

import org.primefaces.model.UploadedFile;

import tn.esprit.IRMC.persistence.Condidature;
import tn.esprit.IRMC.persistence.Fonctiontype;
import tn.esprit.IRMC.services.CondidatureServiceImplLocal;

@ManagedBean
@SessionScoped
public class CondidatureBean {
	
	@NotNull(message="manque nom")
	private String nomcondidatb;
	
	@NotNull(message="manque prenom")
	private String prenomcondidatb;
	
	@NotNull(message="manque mail")
	private String mailcondidatb;
	
	@NotNull(message="votre numero svp")
	private int numerocondidatb;
	
	private String fonctioncondidatb;
	
	@NotNull(message="votre CV svp")
	private String filenamecb;
	
	private int pourcentage;
	
	
	
	private Part file;
	private String fileContent;
	
	private UploadedFile filex;

	
	@EJB
	CondidatureServiceImplLocal col;
	
	 public void upload() {
		  
		    
		    
		    
		    filenamecb = filex.getFileName();
		    System.out.println(filenamecb);
		  }
	
	public String Postuler(){
		
		
		
		
		 
		Fonctiontype selectfnct = null;
		
		for(Fonctiontype f : Fonctiontype.values()){
			if(f.toString().equals(fonctioncondidatb)){
				selectfnct = f;
			}
		}
		
		System.out.println(selectfnct);
		
		
		
		Condidature CO = new Condidature();
		Condidature condcheck = new Condidature();
		
		CO.setNamec(nomcondidatb);
		CO.setPrenomc(prenomcondidatb);
		CO.setMailc(mailcondidatb);
		CO.setNumeroc(numerocondidatb);
		CO.setFonctioncc(selectfnct);
		
		CO.setFilenamec(fileContent);
		

		col.addCondidat(CO);

		
		//System.out.println(col.findCondidatureById(4));
		return null;
	}
	
	
	
	
	
	
	public String getNomcondidatb() {
		return nomcondidatb;
	}
	public void setNomcondidatb(String nomcondidatb) {
		this.nomcondidatb = nomcondidatb;
	}
	public String getPrenomcondidatb() {
		return prenomcondidatb;
	}
	public void setPrenomcondidatb(String prenomcondidatb) {
		this.prenomcondidatb = prenomcondidatb;
	}
	public String getMailcondidatb() {
		return mailcondidatb;
	}
	public void setMailcondidatb(String mailcondidatb) {
		this.mailcondidatb = mailcondidatb;
	}
	public int getNumerocondidatb() {
		return numerocondidatb;
	}
	public void setNumerocondidatb(int numerocondidatb) {
		this.numerocondidatb = numerocondidatb;
	}
	public String getFonctioncondidatb() {
		return fonctioncondidatb;
	}
	public void setFonctioncondidatb(String fonctioncondidatb) {
		this.fonctioncondidatb = fonctioncondidatb;
	}

	
	
	
	
	public String getFilenamecb() {
		return filenamecb;
	}

	public void setFilenamecb(String filenamecb) {
		this.filenamecb = filenamecb;
	}



	public int getPourcentage() {
		return pourcentage;
	}
	public void setPourcentage(int pourcentage) {
		this.pourcentage = pourcentage;
	}






	public Part getFile() {
		return file;
	}






	public void setFile(Part file) {
		this.file = file;
	}






	public String getFileContent() {
		return fileContent;
	}






	public void setFileContent(String fileContent) {
		this.fileContent = fileContent;
	}

	public UploadedFile getFilex() {
		return filex;
	}

	public void setFilex(UploadedFile filex) {
		this.filex = filex;
	}







	
	

}

IRMC-web/src/main/java/tn/esprit/IRMC/presentation/mbeans/LoginBean.java
package tn.esprit.IRMC.presentation.mbeans;

import java.sql.Timestamp;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

import tn.esprit.IRMC.persistence.Etat;
import tn.esprit.IRMC.persistence.Role;
import tn.esprit.IRMC.persistence.User;
import tn.esprit.IRMC.services.MembreServiceLocal;
import tn.esprit.IRMC.services.UserServiceLocal;





@ManagedBean
@SessionScoped
public class LoginBean {

	@EJB
	UserServiceLocal usrservice;
	
	@EJB
	MembreServiceLocal membreservice;
	

	
	private User usr;

	private String mail;
	private String password;
	private String pwdhash;
    private String token ;
		
	@PostConstruct
	public void init() {
		usr = new User();
		
	}
	
	public User getUsr() {
		return usr;
	}

	public void setUsr(User usr) {
		this.usr = usr;
	}



	public UserServiceLocal getUsrservice() {
		return usrservice;
	}

	public void setUsrservice(UserServiceLocal usrservice) {
		this.usrservice = usrservice;
	}

	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	
	
	public String authentification()
	{
		usr = usrservice.authentifier(mail,pwdhash);
		this.setUsr(usr);
		System.out.println(usr.getMail());

		if (usr != null) {
			
			 if(usr.getEtat()== Etat.active && usr.getRole()==Role.member)
		        {
				 System.out.println("******** validé***********");
		        return "ClientOffres?faces-redirect=true";
		        }
			 if(usr.getEtat()==Etat.active && usr.getRole()==Role.webMaster)
		        {
		        	
		        	return "/back/index-2?facs-redirect=true";
		        }
		        if(usr.getEtat()==Etat.bloque)
		        {
		        	FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("You are Blocked"));
		        }
		        
		        if(usr.getEtat()== Etat.waitingForConfirmation)
		        {
		        	return "/Confirm?faces-redirect=true";
		        }
		        
		        if(usr.getEtat()==Etat.desactive)
		        {
		        	FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("Your account is note active"));
		        }
			}
			else {
			FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("User inexistant"));
			}
			return null;
			}
	
	public String logOut(){
		
		FacesContext.getCurrentInstance().getExternalContext().invalidateSession();
		return "/signin?faces-redirect=true";

	}

public String logOutAdmin(){
		
		FacesContext.getCurrentInstance().getExternalContext().invalidateSession();
		return "/back/login?faces-redirect=true";

	}
	public String addUser() {
        initialiserDateInscription();
		membreservice.Registration(usr);
			usr = new User();
			return "/signin?faces-redirect=true";
		
	}
    
    private void initialiserDateInscription() {
        Timestamp date = new Timestamp( System.currentTimeMillis() );
        usr.setDateinsription( date );
    }
	public String getPwdhash() {
		return pwdhash;
	}

	public void setPwdhash(String pwdhash) {
		this.pwdhash = pwdhash;
	}
	
	public void update(){
		usrservice.updateUser(usr);
		usrservice.findUserById(usr.getIdUser());
	}
	
	public void updatepass(String pwd){
		String pass=encrypt(pwd);
		usr.setPassword(pass);
		usrservice.updateUser(usr);

		usrservice.findUserById(usr.getIdUser());
	}
	

	
	public String Confirm(int id) {
		User us = new User();
		us.setIdUser(id);
		usrservice.confirmAccount(token, us);
		return "/profile?faces-redirect=true";
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}
	
	public String encrypt(String password) {
		String crypte = "";
		for (int i = 0; i < password.length(); i++) {
			int c = password.charAt(i) ^ 48;
			crypte = crypte + (char) c;
		}
		return crypte;
	}
	
}

IRMC-web/src/main/java/tn/esprit/IRMC/presentation/mbeans/QuizBean.java
package tn.esprit.IRMC.presentation.mbeans;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;
import javax.faces.event.ComponentSystemEvent;
import javax.faces.event.ValueChangeEvent;
import javax.inject.Inject;
import javax.validation.constraints.NotNull;
import javax.ws.rs.core.Application;

import tn.esprit.IRMC.persistence.Condidature;
import tn.esprit.IRMC.persistence.Etat;
import tn.esprit.IRMC.persistence.Fonctiontype;
import tn.esprit.IRMC.persistence.Offre;
import tn.esprit.IRMC.persistence.OffreType;
import tn.esprit.IRMC.persistence.Question;
import tn.esprit.IRMC.persistence.Quiz;
import tn.esprit.IRMC.persistence.QuizType;
import tn.esprit.IRMC.persistence.Reponse;
import tn.esprit.IRMC.persistence.Role;
import tn.esprit.IRMC.persistence.User;
import tn.esprit.IRMC.services.CondidatureServiceImplLocal;
import tn.esprit.IRMC.services.OffreServiceImplLocal;
import tn.esprit.IRMC.services.OffreServiceImplRemote;
import tn.esprit.IRMC.services.QuestionServiceImplLocal;
import tn.esprit.IRMC.services.QuestionServiceImplRemote;
import tn.esprit.IRMC.services.QuizServiceImplLocal;
import tn.esprit.IRMC.services.QuizServiceImplRemote;
import tn.esprit.IRMC.services.ReponseServiceImplLocal;
import tn.esprit.IRMC.services.ReponseServiceImplRemote;
import tn.esprit.IRMC.services.UserServiceLocal;

@ManagedBean
@SessionScoped
public class QuizBean {

	@NotNull(message="Entrer Le Nom De La quiz")
	private String quiz_nomb;
	private String quiztypeb;
	
	@NotNull(message="Votre Question SVP")
	private String question_actualb;
	
	@NotNull(message="Votre Reponse ne doit pas étre Null")
	private String lareponseb;
	private Boolean correcteb;
	boolean convcor;
	
	int compteurR = 0;
	private int compteurQ = 0;
	private boolean verif1;
	private boolean verif2;
	
	private boolean visible;
	private boolean visibleTT = false;
	
	private boolean azerty ;
	
	
	private boolean etat;
	private boolean termin;
	
	private int Score = 0;
	
	private List<Integer> CheckQuestiona = new ArrayList<>();
	
	@NotNull(message="manque nom")
	private String nomcondidatb;
	
	@NotNull(message="manque prenom")
	private String prenomcondidatb;
	
	@NotNull(message="manque mail")
	private String mailcondidatb;
	
	@NotNull(message="votre numero svp")
	private int numerocondidatb;
	
	private String fonctioncondidatb;
	
	@NotNull(message="votre CV svp")
	private String filenamecb;
	
	private int pourcentage;
	
	@EJB
	CondidatureServiceImplLocal col;
	

	
	@EJB
	OffreServiceImplLocal osi;
	
	@EJB
	QuizServiceImplLocal qsr;
	
	@EJB
	QuestionServiceImplLocal qst;
	
	@EJB
	ReponseServiceImplLocal rsr;
	
	@EJB
	UserServiceLocal usrservice;

	private Offre ofre;

	private int id;
	private int idquiz;
	
	
	private String mail;
	private String password;
	private String pwdhash;
    private String token ;
	
    private User usr;
	
    
    public String authentification()
	{
		usr = usrservice.authentifier(mail,pwdhash);
		this.setUsr(usr);
		System.out.println(usr.getMail());

		if (usr != null) {
			
			 if(usr.getEtat()== Etat.active && usr.getRole()==Role.member)
		        {
				 System.out.println("******** validé***********");
		        return "ClientOffres2?faces-redirect=true";
		        }
			 if(usr.getEtat()==Etat.active && usr.getRole()==Role.webMaster)
		        {
		        	
		        	return "AllOffre?faces-redirect=true";
		        }
		        if(usr.getEtat()==Etat.bloque)
		        {
		        	FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("You are Blocked"));
		        }
		        
		        if(usr.getEtat()== Etat.waitingForConfirmation)
		        {
		        	return "/Confirm?faces-redirect=true";
		        }
		        
		        if(usr.getEtat()==Etat.desactive)
		        {
		        	FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("Your account is note active"));
		        }
			}
			else {
			FacesContext.getCurrentInstance().addMessage("form:btn", new FacesMessage("User inexistant"));
			}
			return null;
			}
    
    
    
    
	public User getUsr() {
		return usr;
	}




	public void setUsr(User usr) {
		this.usr = usr;
	}




	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPwdhash() {
		return pwdhash;
	}

	public void setPwdhash(String pwdhash) {
		this.pwdhash = pwdhash;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public int getIdquiz() {
		return idquiz;
	}

	public void setIdquiz(int idquiz) {
		this.idquiz = idquiz;
	}

	public String red2(Offre o2){
		
		if(o2.getQuiz2()!=null){
			FacesContext.getCurrentInstance().addMessage(null, 
					new FacesMessage(FacesMessage.SEVERITY_ERROR,
							"Cette Offre a deja un Quiz",
							"Cette Offre a deja un Quiz "));
			return null;
		}else{
			this.setId(o2.getIdoffre());		
			return "QuizHome?faces-redirect=true";
		}
		
		
	}
	
	public String addQuiz(){
		Offre o = new Offre();
		o = osi.findOffreById(this.getId());
		System.out.println(o.getTitle());
		
		QuizType qtype = null;
		for(QuizType qt :QuizType.values()){
			if(qt.toString().equals(quiztypeb)){
				qtype = qt;
			}
		}
		
		Quiz q = new Quiz();
		q.setQuiz_nom(quiz_nomb);
		q.setQuiztype(qtype);
		
		qsr.addquiz(q);
		//q= qsr.findQuizByID(id) find quiz by name
		q = qsr.findQuizByName(quiz_nomb);
		System.out.println(q.getQuiz_id());
		o.setQuiz2(q);
		osi.ubdateOffre(o);
		
		this.setIdquiz(q.getQuiz_id());
		this.setQuiz_nomb(quiz_nomb);
		//System.out.println(this.quiz_nomb);
		visible = true;
		return "QuestionAnswer?faces-redirect=true";
	}
	
	public List<Quiz> getAllQuiz(){
		return qsr.getAllQuiz();
	}
	
	public String removeQuiz(Quiz quiz){
		
		qsr.removeQuiz(quiz);
		return "AllQuiz?faces-redirect=true";
	}
	
	public String QuizAssign(Quiz quiz){
		System.out.println("******** id offre lil assign******\n");
		System.out.println(this.id);
		Offre o = new Offre();
		o = osi.findOffreById(this.id);
	
		quiz = qsr.findQuizByID(quiz.getQuiz_id());
		
		this.setIdquiz(quiz.getQuiz_id());
		
		o.setQuiz2(quiz);
		
		osi.ubdateOffre(o);
		return null;
	}
	
	public String ShowQuestion(){
		etat = true;
		this.setQuestion_actualb(question_actualb);
		System.out.println(this.getQuestion_actualb());
		Question q = new Question();
		q.setQuestion_actual(this.getQuestion_actualb());
		
		Quiz qz = new Quiz();
		qz = qsr.findQuizByID(this.getIdquiz());
		System.out.println("\n"+qz.getQuiz_id()+"***"+qz.getQuiz_nom());
		
		q.setQuiz3(qz);
		qst.addQuestion(q);
		compteurQ++;
		visible = false;
		
		if(compteurQ >3){
			visibleTT = true;
		}
		return "QuestionAnswer?faces-redirect=true";
	}
	
	public String AddReponse(){
		compteurR ++;
		Question qt = new Question();
		qt = qst.findQuestionByQuestion(question_actualb);
		System.out.println("\n"+qt.getQuestion_actual()+"***||***"+qt.getQuestion_id());
		
		Reponse r = new Reponse();
		convcor = correcteb.booleanValue();
		if(convcor == true)
			verif1 = true;
		r.setLareponse(lareponseb);
		r.setCorrecte(convcor);
		r.setQuestionx(qt);
		
		rsr.addReponse(r);
		if(compteurR>=3 && verif1 == true){
			this.verif2 = true;
		}
		
		return null;
	}
	
	public String Q_Suivant(){
		
		System.out.println(verif2);
		if(verif2 == true){
			etat = false;
			visible = true;
			System.out.println(" \n nombre de reponse verifier \n");
		return "QuestionAnswer?faces-redirect=true";
		}else {
			FacesContext.getCurrentInstance().addMessage(null, 
					new FacesMessage(FacesMessage.SEVERITY_ERROR,
							"Il Faux au moins 3 Réponse et Cocher une D'elle",
							"Il Faux au moins 3 Réponse "));
			System.out.println("manque plus");
			return null;
		}
		
	}
	
	//*********** front ***********
	
	private int ID_Offre;
	
	
	
	public int getID_Offre() {
		return ID_Offre;
	}

	public void setID_Offre(int iD_Offre) {
		ID_Offre = iD_Offre;
	}

	public String red22(Offre o2){
		this.setId(o2.getIdoffre());
		this.setID_Offre(o2.getIdoffre());
		
		System.out.println(this.getId());
		
		return "TestQuiz2?faces-redirect=true";
	}
	
	public List<Question> testQuetion(){
		
	System.out.println("**************** lalalaalalal****************");
		List<Question> xx = null ;
		Offre o = new Offre();
		o = osi.findOffreById(this.getId());
		System.out.println(o.getTitle());
		Quiz Q = new Quiz();
		Q = o.getQuiz2();
		System.out.println( o.getQuiz2().getQuiz_nom());
		
		xx = Q.getListe_question();
		/*for (Question question : xx) {
			System.out.println(question);
		}*/
		
		return xx;
	}
	

	
	public void CheckQuestiona(ValueChangeEvent event){
		
		String[] icheck = (String[]) event.getNewValue();
		
		//Reponse rep2 = new Reponse();
		//rep2 = rsr.findReponseById(Integer.valueOf(icheck));
		
		//System.out.println(icheck);
		
		for(int i = 0; i < icheck.length ; i++ )
		{
			System.out.println(icheck[i]+"** lvaleur ya bouhmid********XXXXOOOOO	");
			CheckQuestiona.add(Integer.valueOf(icheck[i]));
		}
	}
	
	public String Resultat(){
		
		List<Reponse> reponse =new ArrayList<>();
		
	
		reponse = rsr.getAllReponse();
		
		
		for(Integer it :CheckQuestiona) {
			for(int i = 0 ; i < reponse.size() ; i++){
				if(it == reponse.get(i).getReponse_id() && reponse.get(i).isCorrecte() == true)
				{
					System.out.println("++++++++ Resultat S7i7a +++++++\n");
					System.out.println(reponse.get(i).getLareponse()+"egal ou pas "+it);
					System.out.println("id du rep correcte :: "+reponse.get(i).getReponse_id()+" : id de la rep choix:"+it);
					
					Score++;

IRMC-web/src/main/webapp/AddCondidature.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"> 

<h:head>
		<style>
		.ui-growl {
			left:900px;
			margin-bottom: 10px;
			margin-top: 100px;
		}
	</style>
</h:head> 
<body> 

	<center>
		<h:form id="formregister" enctype="multipart/form-data">
		<p:growl id="message"/>
		<br/><br/><br/> 
		<table>
			<tr>
				<td> <p:outputLabel value="Votre Nom :" /> </td> 
				<td> <p:inputText  value="#{condidatureBean.nomcondidatb}" id="nom"/> <h:message for="nom" errorStyle="color:red;"/> </td>
			
			</tr>
			<tr>
				<td> <p:outputLabel value="Votre PreNom :" /> </td> 
				<td> <p:inputText  value="#{condidatureBean.prenomcondidatb}" id="prenom"/> <h:message for="prenom" errorStyle="color:red;"/> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Votre Mail :" /> </td> 
				<td> <p:inputText  value="#{condidatureBean.mailcondidatb}" id="mail"/> <h:message for="mail" errorStyle="color:red;"/> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Votre Numero :" /> </td> 
				<td> <p:inputText  value="#{condidatureBean.numerocondidatb}" id="numero"/> <h:message for="numero" errorStyle="color:red;"/> </td>
			</tr>
			
			<tr>
				<td> <p:outputLabel value="Choisir Votre fonction :" /> </td> 
				
				<td> <p:selectOneMenu value="#{condidatureBean.fonctioncondidatb}">
						<f:selectItem itemLabel="Etudiant" itemValue="Etudiant"/>
						<f:selectItem itemLabel="Employer" itemValue="Employer"/>
						<f:selectItem itemLabel="Chercheur" itemValue="Chercheur"/>
					</p:selectOneMenu> </td>
			</tr>
			
			<tr>
				<td> <p:outputLabel value="Votre Cv :" /> </td> 
				<td> <p:inputText type="file" value="#{condidatureBean.filex}" id="file"/> <h:message for="file" errorStyle="color:red;"/> </td>
				<td> <h:commandButton value="Upload" action="#{condidatureBean.upload()}" /> </td>
			</tr>
		
		</table>
		
			<p:commandButton action="#{condidatureBean.Postuler()}" value="Postuler" update="message" />
		</h:form>
	</center>
</body> 
</html>

IRMC-web/src/main/webapp/AddOffre.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
       xmlns:b="http://bootsfaces.net/ui"> 

<h:head>
	<style>
		.ui-growl {
			left:900px;
			margin-bottom: 10px;
			margin-top: 100px;
		}
		
		.fixed {
		    position: relative;
			width: 100px;
    		height: 100px;
    		top: 80px;
    		margin-right: -52%;
    		margin-left: 20%;

		}
	</style>
</h:head> 
<body> 
	
	<ui:include src="/backheader.xhtml" />
	
	
	
	
	<div class="fixed">
	<b:container layout="fluid" >
	
	 <b:panel title="Ajoutez Une Offre" look="primary" >

		<h:form id="formregister">
			
			<p:growl id="message"/>
			<center>
			<br/><br/>	
		<table>
			<tr>
				<td> <p:outputLabel value="Title :" /> </td> 
				<td> <b:inputText  value="#{offreBean.titleb}" id="Title"/> <h:message for="Title" errorStyle="color:red;"/> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Description :" id="desc"/> </td> 
				<td> <b:inputTextarea value="#{offreBean.descriptionb}" id="Description"/> <h:message for="Description" errorStyle="color:red;"/> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Type D'Offre :" /> </td> 
				<td> <b:selectOneMenu value="#{offreBean.offretypeb}">
						<f:selectItem itemLabel="Scholarship" itemValue="Scholarship"/>
						<f:selectItem itemLabel="Training" itemValue="Training"/>
						<f:selectItem itemLabel="Employment" itemValue="Employment"/>
					</b:selectOneMenu> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Date De Creation :" /> </td> 
				<td> <p:calendar value="#{offreBean.creationdateb}" pattern="MM/dd/yyyy" id="DateC"></p:calendar> 
				<h:message for="DateC" errorStyle="color:red;"/> </td>
			</tr>
			<tr>
				<td> <p:outputLabel value="Date D'expiration :" /> </td> 
				<td> <p:calendar value="#{offreBean.experationdateb}" pattern="MM/dd/yyyy" id="DateE"></p:calendar> 
				<h:message for="DateE" errorStyle="color:red;"/> </td>
			</tr>
		</table>
					
				<br/><br/>
				<b:commandButton action="#{offreBean.AddOffre()}" value="Ajouter Offre" update="message" />
			</center>
		</h:form>

		</b:panel>
		
	</b:container>
	</div>
</body> 
</ui:composition>

IRMC-web/src/main/webapp/AllQuiz.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"> 

<h:head></h:head> 
<body> 
	<ui:include src="/backheader.xhtml" />
	<center>
		<p:dataTable value="#{quizBean.allQuiz}" var="quiz" border="2" tableStyle="width:auto">
			
		
			<p:column>
				<f:facet name="header">Quiz Name</f:facet>
				#{quiz.quiz_nom}
			</p:column>
			
			<p:column>
				<f:facet name="header">Quiz Type</f:facet>
				#{quiz.quiztype}
			</p:column>
			
			<p:column>
				<f:facet name="header">Assign</f:facet>
				<h:form>
					<p:commandButton action="#{quizBean.QuizAssign(quiz)}" value="Assign" />
				</h:form>
			</p:column>
			
			<p:column>
				<h:form>
				<p:commandLink action="#{quizBean.removeQuiz(quiz)}" value="Delete this Quiz" />
				</h:form>
			</p:column>
		</p:dataTable>
	</center>
</body> 
</html>